What version of Excel is required to use a template?

All Savvy Spreadsheets Excel templates are compatible with the latest full version of Excel, as well as some recent older versions. See below for a detailed list of compatible versions.

Savvy Spreadsheets Excel templates are not compatible with OpenOffice, Numbers, or Excel Online (the free version of Excel). Some Excel templates may work in Google Sheets, however it is recommended that only Google Sheets templates are used in Google Sheets.  Find out more (link).


Compatible Excel Versions

Our templates are compatible with the following versions of Microsoft Excel.

Microsoft Excel for Windows:

2016 (in Office 365)

2013

2010

 

Microsoft Excel for Mac OS:

2016 (in Office 365)

2011

 

Savvy Spreadsheets cannot guarantee compatibility with any other version of Excel, or any other spreadsheet program/application. This template may contain macros, VBA, and/or other features native to Excel. These features are not necessarily integrated into other applications, and therefore this template may not function properly when used with other applications.

 

Contact us if you have additional questions about compatibility.

Back to FAQ